---
title: "Enterprise Applications - PMO"
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="fas fa-users" id="biz-tech-icons"></i> About Us

We are a global team dedicated to developing and managing cutting edge IT systems and business processes.

The  Enterprise Applications PMO oversees portfolio and program management within the EntApps organization. We collaborate with business teams during annual and quarterly planning to align with top priorities. Our services include portfolio, program and resource management, along with project tracking and reporting.

## <i class="fas fa-users" id="biz-tech-icons"></i> Our Team

Explore our team’s structure in the [organization chart](https://internal.gitlab.com/handbook/it-enterprise-applications/about-us/pmo/).

## <i class="fas fa-users" id="biz-tech-icons"></i> Our Services

## IT EntApps Portfolio Planning & Prioritization: A 6-Step Framework

![it-pmo](/images/business-technology/enterprise-applications/pmo/it-pmo-planning.png)

The IT EntApps Portfolio planning & prioritization process has 6 steps:

1. Portfolio of Projects
2. Prioritization
3. T-Shirt Sizing
4. Resources & Capacity Planning
5. Project Commits
6. Alignment & OKRs

### Portfolio of Projects

This section provides a quarterly inventory of all the committed and planned projects for IT Enterprise Applications. Internal team members can use the [IT EntApps Portfolio: Quarter Commits](https://docs.google.com/spreadsheets/d/1ojnTFGB2iYJz9kNPYdoLc4PeyDqAN60gu9cQBrKpHJQ/edit?pli=1#gid=1316376797) to track initiatives. Each project is ranked using a Corporate Stack Rank to ensure alignment with global optimization goals.

### Project Prioritization

The [IT Project Prioritization tracker](https://docs.google.com/spreadsheets/d/1fnV3nWI0sNdbakHUys78d-lpbpKexFD_1kdO8JoVySY/edit#gid=745075679) serves as a centralized tool to log and manage new projects and initiatives. The PMO team evaluates these entries during the IT EntApps Quarterly Portfolio Planning process.

![it-pmo](/images/business-technology/enterprise-applications/pmo/quarterly-planning.png)

### T-Shirt Sizing

Involves identifying the project's:

- Estimated Level Of Effort (LOE)
- Duration
- Roles & Responsibilities

### Resources & Capacity Planning

Achieved by:

- Identifying all resource within the team
- Estimating the capacity requirements for activities such as "Keeping the Lights On" (KTLO), administrative tasks, management, and project work.

### Project Commits

All projects added to the [IT EntApps Portfolio: Quarterly Commits](https://docs.google.com/spreadsheets/d/1ojnTFGB2iYJz9kNPYdoLc4PeyDqAN60gu9cQBrKpHJQ/edit?pli=1#gid=955721517) are assigned resources based on priority and categorized under the following labels:

- **Committed**: Projects that are in-flight / being worked on.
- **Planned**: Projects that will be picked up once the resources from a committed project becomes available.
- **Backlog**: Projects that are in the pipeline but not yet ready to start.

### Alignment & OKRs

Projects added to the [IT Portfolio: Quarter Commits](https://docs.google.com/spreadsheets/d/1ojnTFGB2iYJz9kNPYdoLc4PeyDqAN60gu9cQBrKpHJQ/edit?pli=1#gid=955721517) are part of the IT EntApps [OKRs](https://about.gitlab.com/company/okrs/) for:

- Awareness
- Accountability
- Value Generation

## Release Management

The release management plan helps the IT EntApps team to:

- Establish a standardized process.
- Implement the release management strategy.
- Maintain consistency and predictability in releases.
- Communicate changes regularly and transparently.

### Release Calendar

![it-pmo](/images/handbook/entapps/release-calendarfy26.png)

## <i class="fas fa-bullhorn" id="biz-tech-icons"></i> How We Work

## Governance and Program Management Methodology

Visit the [Governance and IT Program Management](/handbook/business-technology/enterprise-applications/pmo/pmo-governance/) page to understand the methodology adopted by the IT EntApps PMO team for all GitLab EntApps programs aimed at achieving the following objectives:

- Ensure robust results and efficient execution.
- Scope projects effectively, aligning with iterative values.
- Engage relevant stakeholders to foster collaboration.
- Maintain transparent and compliant documentation practices.

## Project Epics & Issues

When assigned to a project, the IT PMO team is responsible for creating and maintaining the project [Epic](https://docs.gitlab.com/ee/user/group/epics/index.html). A single parent Epic is created together with (up to) 5 [child Epics](https://docs.gitlab.com/ee/user/group/epics/manage_epics.html#multi-level-child-epics), each representing a distinct phase of the System Development Lifecycle (SDLC). [Issues](https://docs.gitlab.com/ee/user/project/issues/) are used as a means to collaborate on ideas, troubleshoot problems, and strategize for their tasks. By using issues, teams can share and discuss proposals internally or involve external collaborators in the process.

To maintain uniformity across all PMO-led projects, the team follows the same [Epic templates](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/intake/-/issues/394).

### System Development Lifecycle (SDLC)

The System Development Lifecycle outlines a structured set of activities conducted at each project stage.

![it-pmo](/images/business-technology/enterprise-applications/pmo/sdlc.png)

#### Intake

The Intake process begins with the completion of a business requirements document (BRD). This phase bridges the gap between business stakeholders defining project goals and the development team responsible for implementation.

#### Define

The Define phase focuses on articulating the business problem and establishing the ‘definition of done.’ It includes identifying use cases, affected technologies, and requirements. The primary goal is to document processes and impacted areas rather than resolve every detail. Before moving to the Design phase, approval is obtained from key stakeholders to ensure accuracy and completeness of business requirements.

#### Design

The Design phase establishes a roadmap for the future state of the project. The project team collaborates with stakeholders to refine requirements and design processes that align with business goals. This phase addresses outstanding details and resolves any questions from earlier stages.

#### Build

During the Build phase, the project team collaborates with stakeholders to develop scalable solutions that meet business requirements while adhering to best practices.

#### Test

In the Test phase, the project team works with stakeholders to create test scripts and oversee the User Acceptance Testing (UAT) process, ensuring solutions meet the defined requirements.

#### Deploy

The Deploy phase involves creating a comprehensive deployment plan in collaboration with implementation teams. Activities include finalizing launch plans, enabling users, and managing go-live communications to ensure a smooth transition.

#### Hypercare

Hypercare is the phase immediately following the deployment or launch of a new process in production. During this period, enhanced support is provided to ensure a seamless transition and successful adoption of the new system.

#### Maintenance

The Maintenance phase begins after the new process becomes fully operational. It ensures the process continues to function as designed, with repairs or upgrades performed as necessary.

### Roadmap

To efficiently track program progress, each Epic is assigned a start and end date. The [GitLab Roadmap](https://docs.gitlab.com/ee/user/group/roadmap/index.html) serves as a timeline to visualize and manage these milestones.

### Issue Boards

IT EntApps teams use GitLab [issue boards](https://docs.gitlab.com/ee/user/project/issue_board.html) to strategically plan, organize, and visualize their work. To learn more about how IT EntApps teams manage issue boards, refer to [each team’s respective page](/handbook/business-technology/#i-classfas-fa-users-idbiz-tech-iconsi-our-functional-structure).

### Labels

The IT EntApps teams use [labels](https://docs.gitlab.com/ee/user/project/labels.html) to efficiently categorize issues and epics. A well-maintained, concise label list facilitates dynamic filtering and streamlined management of work. All labels are created within the `gitlab.com/gitlab-com` top-level group, making them applicable across all projects.

To better organize and manage their work, the IT teams have different label categories. Click on each category to view the current labels utilized by the IT teams:

- [Priority labels](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&sort=relevance&search=entapps-priority)
- [Team labels](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&sort=relevance&search=entapps-teams)
- [Status labels](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&sort=relevance&search=entapps-status)
- [Project labels](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&sort=relevance&search=entapps-project)
- [Catalog labels](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&sort=relevance&search=entapps-catalog)
- [Service Desk labels](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&sort=relevance&search=entapps-type)

## Project Reporting

- The IT PMO team uses the Rolly Bot, a tool created by the IT Integrations team aimed at automating the generation and distribution of weekly status updates. Every Friday, the PMO updates the Rolly section of each project Epic (that they are assigned to) to deliver consistent updates on ongoing projects.
  - A new roll up is created every Monday.
- Asynchronous updates of the program are communicated through the dedicated program Slack channel, using [Geekbot](https://geekbot.com/).
- For larger programs, the IT PMO team prepares a [Weekly Status Report](https://docs.google.com/presentation/d/1FvtL0MHftG33b-6eKO1sVx3vPFKu0DaeVp-GGbLdpcs/edit#slide=id.p1) for distribution among the program team, which is reviewed during weekly status meetings.

## Compliance Documentation

The team has developed templates based on IT Compliance team [guidelines](/handbook/business-technology/enterprise-applications/pmo/pmo-governance/#clear-documentation-for-compliance) to streamline the creation of comprehensive, well-structured documentation and facilitate efficient information gathering.

The IT PMO team collaborates with project stakeholders to create these documents and ensures that all necessary approvals are captured within them.

## Enablement Plan

The IT PMO team initiates enablement discussions and collaborates with project leads to develop training materials and communication plans as needed.

## IT EntApps Quarter Planning Process

There are several activities that take place to prepare for new OKRs / commits and report on the current ones:

- **Project List & Priorities from Business**: The PMO team reaches out to Business stakeholders to get a list of projects and priorities for the upcoming quarter.
- **IT EntApps PMO & Leadership - Upcoming Quarter Priorities Review**: The PMO team reviews the business projects and priorities with IT EntApps Leadership to add initiatives to the upcoming commits tracker.
- **Cross Functional Meeting - Quarter Commits Review**: PMO team hosts the `IT EntApps Portfolio: Quarter Planning` meetings to review the list of projects and priorities for the upcoming quarter with the Business stakeholders.
- **IT EntApps PMO & Leadership - Quarter Commits (Adjustments)**: The PMO team makes all the necessary adjustments to the upcoming quarter commits following the meeting with the Business stakeholders.
- **Quarter Commits - Corporate Rank**: The IT EntApps Leadership works with the business leaders to rank the initiatives in order of priority for the company.
- **Upcoming Quarter Commits Shared with the Business**: PMO team shares the upcoming quarter commits with the Business stakeholders.
- **Finalize Upcoming Quarter OKR(s)**: Upcoming quarter commits are completed.

### FY25 Q4 Calendar

![it-pmo](/images/business-technology/enterprise-applications/pmo/it-pmo-fy25-q4.png)

### FY26 Q1 Calendar

![it-pmo1](/images/handbook/entapps/calendar-fy26q1.png)

### FY26 Q2 Calendar

![it-pmo2](/images/handbook/entapps/calendar-fy26q2.png)

### FY26 Q3 Calendar

![it-pmo3](/images/handbook/entapps/calendar-fy26q3.png)

### FY26 Q4 Calendar

![it-pmo4](/images/handbook/entapps/calendar-fy26q4.png)

## <i class="fas fa-file-alt" id="biz-tech-icons"></i> Meetings

## Meetings Protocol

The team follows [GitLab meeting practices and standards](/handbook/company/culture/all-remote/meetings/).

- Every meeting has an agenda.
- All agendas are stored in the PMO Team Meetings [shared drive](https://drive.google.com/drive/folders/1nKgH2Q9PztXE388dbhUHxSh1Vy2V_vLz).
- The IT PMO team lead all meetings related to projects.

## IT EntApps Governance

### IT EntApps Leadership Meeting

- **Purpose**: Every week the IT Leadership team has a dedicated time to sync up and discuss current activities (urgent and important) that impacts the whole team.
  - **Frequency**: Weekly, on Mondays
    - The time of this meeting may vary to accommodate the different timezones of the IT / Business Technology team members.
  - **Participants**: VP, IT (host), PMO, Enterprise Applications Leadership.

### IT EntApps All Hands

- **Purpose**: Share company updates, stay connected, and receive feedback.
  - **Frequency**: Quarterly (on the first week of the new quarter)
  - **Participants**: VP, IT (host), all IT cross functional teams.

## Stakeholder Management Meetings

### Project Status Meetings

- **Purpose**: For each project led by the IT PMO team, a Project Status Meeting is organized to review the project's current state, address ongoing tasks, and discuss any blockers.
  - **Frequency**: Weekly or every 2 weeks
  - **Participants**: IT PMO (host), Business DRI(s), Project Subject Matter Experts (SMEs)

### IT EntApps Portfolio Review Meetings (Lead to Cash, CRO and G&A)

- **Purpose**: During these meetings the IT PMO team discuss roadmap & timelines, shifts in priorities and alignment to goals.
  - **Frequency**: Monthly (on the third week of each month)
  - **Participants**: IT PMO (host), Business DRI(s).

### IT EntApps Portfolio: Quarter Planning (Lead to Cash, CRO and G&A)

- **Purpose**: Discuss roadmap & timelines, shifts in priorities, alignment to goals. This is a strategic meeting to ensure that teams are aligned with their key business partners and have clarity on our shared roadmap.
  - **Frequency**: Quarterly (on the third week of the month before quarter end)
  - **Participants**: IT PMO (host), Business & IT EntApps Leadership.

## <i class="fas fa-headset" id="biz-tech-icons"></i> How To Connect With Us

### IT PMO Slack Channels

- [#business-technology](https://gitlab.slack.com/archives/C01BLS12V37) is the primary channel for all business technology related conversations. This is where GitLab team members can link to their issues, ask for help, direction, and get general feedback from members of the Business Technology team.
